## org.apache.commons.math.linear
Interface SparseRealVector

All Superinterfaces:
  RealVector

All Known Implementing Classes:
  OpenMapRealVector

    public interface SparseRealVector

extends RealVector

Marker interface for RealVectors that require sparse backing storage

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.commons.math.linear.RealVector
`RealVector.Entry`

Method Summary

Methods inherited from interface org.apache.commons.math.linear.RealVector

`add, add, append, append, append, copy, dotProduct, dotProduct, ebeDivide, ebeDivide, ebeMultiply, ebeMultiply, getData, getDimension, getDistance, getDistance, getEntry, getL1Distance, getL1Distance, getL1Norm, getLInfDistance, getLInfDistance, getLInfNorm, getNorm, getSubVector, isInfinite, isNaN, iterator, map, mapAbs, mapAbsToSelf, mapAcos, mapAcosToSelf, mapAdd, mapAddToSelf, mapAsin, mapAsinToSelf, mapAtan, mapAtanToSelf, mapCbrt, mapCbrtToSelf, mapCeil, mapCeilToSelf, mapCos, mapCosh, mapCoshToSelf, mapCosToSelf, mapDivide, mapDivideToSelf, mapExp, mapExpm1, mapExpm1ToSelf, mapExpToSelf, mapFloor, mapFloorToSelf, mapInv, mapInvToSelf, mapLog, mapLog10, mapLog10ToSelf, mapLog1p, mapLog1pToSelf, mapLogToSelf, mapMultiply, mapMultiplyToSelf, mapPow, mapPowToSelf, mapRint, mapRintToSelf, mapSignum, mapSignumToSelf, mapSin, mapSinh, mapSinhToSelf, mapSinToSelf, mapSqrt, mapSqrtToSelf, mapSubtract, mapSubtractToSelf, mapTan, mapTanh, mapTanhToSelf, mapTanToSelf, mapToSelf, mapUlp, mapUlpToSelf, outerProduct, outerProduct, projection, projection, set, setEntry, setSubVector, setSubVector, sparseIterator, subtract, subtract, toArray, unitize, unitVector`

Copyright (c) 2003-2010 Apache Software Foundation